Bug 14592 - Fix encoding in data exports
Summary: Fix encoding in data exports
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Frédéric Demians
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-23 07:43 UTC by Frédéric Demians
Modified: 2016-06-21 21:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14592 Export data bad encoding (1.15 KB, patch)
2015-07-23 07:51 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14592: Export data bad encoding (1.22 KB, patch)
2015-08-12 18:21 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 14592: Export data bad encoding (1.28 KB, patch)
2015-08-16 21:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2015-07-23 07:43:47 UTC
Tools > Export data produces a file badly encoded, when marc/xml file format is chosen. It works with CSV.
Comment 1 Frédéric Demians 2015-07-23 07:51:52 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2015-08-12 18:21:20 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2015-08-12 18:23:00 UTC
Good catch Frederic. Even if the patch is trivial, I find the problem a big deal, libraries here are used to export their catalogs for sending to union catalogs and this bug is really nasty for them.
Comment 4 Katrin Fischer 2015-08-16 21:58:13 UTC
Created attachment 41514 [details] [review]
[PASSED QA] Bug 14592: Export data bad encoding

Tools > Export data produces a file badly encoded, when marc/xml file
format is chosen. It works with CSV.

To test:

1. Tools > Export data
2. Choose a limited interval of biblionumber
3. Export in marc/xml/csv.
4. Check files exported at 3: csv file is ok. marc/xml files are
   corrupted, ie badly encoded.
5. Apply the patch
6. Repeat steps 3&4, and confirm that all file formats are valid.

Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-08-17 13:49:51 UTC
Patch pushed to master.

Thanks Frederic!
Comment 6 Chris Cormack 2015-08-23 05:15:45 UTC
Pushed to 3.20.x will be in 3.20.3